%
% anyremote configuration file
% This file was not tested on Sagem phones. Alfa version. Send Your feedbacks.
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Sagem test
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=AT
GuiAppDesc=Simple example of configuration file. Tuned for Sagem phones.

[Protocol]=AT

% Green button
83=Make(disconnect);

% Red button
69=Make(exit);

(Init)=\
	Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);

InCall($$)=\
	Exec($(CfgDir)/Utils/message.sh "A call from $(Param)");\
	Make(remote,off)

EndCall($$)=\
	Make(remote,on);\
	Exec($(CfgDir)/Utils/message.sh "Call finished")

42 42=Exec(F="$(TmpDir)/anyrem.hlp";echo "Just press buttons and inspect results" > $F);\
	Macro(SHOW_HELP);
* *=Exec(F="$(TmpDir)/anyrem.hlp";echo "Seems Your phone is not Sagem. Use example-kdialog.cfg instead !" > $F);\
	Macro(SHOW_HELP);

% Keys 1-9,*,#
48=Exec($(CfgDir)/Utils/message.sh 0)
49=Exec($(CfgDir)/Utils/message.sh 1)
50=Exec($(CfgDir)/Utils/message.sh 2)
51=Exec($(CfgDir)/Utils/message.sh 3)
52=Exec($(CfgDir)/Utils/message.sh 4)
53=Exec($(CfgDir)/Utils/message.sh 5)
54=Exec($(CfgDir)/Utils/message.sh 6)
55=Exec($(CfgDir)/Utils/message.sh 7)
56=Exec($(CfgDir)/Utils/message.sh 8)
57=Exec($(CfgDir)/Utils/message.sh 9)
%42=Exec($(CfgDir)/Utils/message.sh Star)
35=Exec($(CfgDir)/Utils/message.sh Hash)

85=Exec($(CfgDir)/Utils/message.sh Vol_Up)
68=Exec($(CfgDir)/Utils/message.sh Vol_Down)
EMPTY=Exec($(CfgDir)/Utils/message.sh Play)
91=Exec($(CfgDir)/Utils/message.sh Mail)
32=Exec($(CfgDir)/Utils/message.sh IMode)
67=Exec($(CfgDir)/Utils/message.sh Left)
77=Exec($(CfgDir)/Utils/message.sh Right)
94=Exec($(CfgDir)/Utils/message.sh Up)
86=Exec($(CfgDir)/Utils/message.sh Down)

[End]
